Name: xz
Version: 5.2.3
Release: 4
License: LGPL-2.1-or-later and GPL-2.0-or-later
Summary: xz
Url: http://tukaani.org/xz/
Requires: liblzma5 = %{version}

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-tools
BuildRequires: libutil-devel >= 0.6.1

Requires: libutil2 >= 0.6.1

Source0: http://tukaani.org/xz/xz-%{version}.tar.gz

%description
XZ Utils is free general-purpose data compression software with a high compression ratio. XZ Utils were written for POSIX-like systems, but also work on some not-so-POSIX systems. XZ Utils are the successor to LZMA Utils.


%package -n liblzma5
Summary: lzma library
License: Public Domain

%description -n liblzma5
The xz package contains the xz libraries which are used by some programs to parse command-line options. 


%package devel
Summary: xz development files
License: Public Domain
Requires: liblzma5 = %{version}

%description devel
Headers and development libraries needed by to link with xz libraries.

%prep
%setup -q

%build

autoreconf -fi

%configure \
  ac_cv_func_posix_fadvise=no \
  CONFIG_SHELL=/QOpenSys/usr/bin/sh \
  CPPFLAGS='-I%{_includedir}' \
  LIBS='-lutil' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --disable-rpath \
  --disable-nls

# Ensure we do not link in GNULIB getopt_long!
rm -r lib

%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/liblzma.a
rm %{buildroot}/%{_libdir}/liblzma.la

%files
%defattr(-, qsys, *none)

%{_bindir}/lzcat
%{_bindir}/lzcmp
%{_bindir}/lzdiff
%{_bindir}/lzegrep
%{_bindir}/lzfgrep
%{_bindir}/lzgrep
%{_bindir}/lzless
%{_bindir}/lzma
%{_bindir}/lzmadec
%{_bindir}/lzmainfo
%{_bindir}/lzmore
%{_bindir}/unlzma
%{_bindir}/unxz
%{_bindir}/xz
%{_bindir}/xzcat
%{_bindir}/xzcmp
%{_bindir}/xzdec
%{_bindir}/xzdiff
%{_bindir}/xzegrep
%{_bindir}/xzfgrep
%{_bindir}/xzgrep
%{_bindir}/xzless
%{_bindir}/xzmore

%{_mandir}/man1/lzcat.1
%{_mandir}/man1/lzcmp.1
%{_mandir}/man1/lzdiff.1
%{_mandir}/man1/lzegrep.1
%{_mandir}/man1/lzfgrep.1
%{_mandir}/man1/lzgrep.1
%{_mandir}/man1/lzless.1
%{_mandir}/man1/lzma.1
%{_mandir}/man1/lzmadec.1
%{_mandir}/man1/lzmainfo.1
%{_mandir}/man1/lzmore.1
%{_mandir}/man1/unlzma.1
%{_mandir}/man1/unxz.1
%{_mandir}/man1/xz.1
%{_mandir}/man1/xzcat.1
%{_mandir}/man1/xzcmp.1
%{_mandir}/man1/xzdec.1
%{_mandir}/man1/xzdiff.1
%{_mandir}/man1/xzegrep.1
%{_mandir}/man1/xzfgrep.1
%{_mandir}/man1/xzgrep.1
%{_mandir}/man1/xzless.1
%{_mandir}/man1/xzmore.1


%{_docdir}/xz/AUTHORS
%{_docdir}/xz/COPYING
%{_docdir}/xz/COPYING.GPLv2
%{_docdir}/xz/NEWS
%{_docdir}/xz/README
%{_docdir}/xz/THANKS
%{_docdir}/xz/TODO
%{_docdir}/xz/faq.txt
%{_docdir}/xz/history.txt
%{_docdir}/xz/xz-file-format.txt
%{_docdir}/xz/lzma-file-format.txt
%{_docdir}/xz/examples/00_README.txt
%{_docdir}/xz/examples/01_compress_easy.c
%{_docdir}/xz/examples/02_decompress.c
%{_docdir}/xz/examples/03_compress_custom.c
%{_docdir}/xz/examples/04_compress_easy_mt.c
%{_docdir}/xz/examples/Makefile
%{_docdir}/xz/examples_old/xz_pipe_comp.c
%{_docdir}/xz/examples_old/xz_pipe_decomp.c

%files -n liblzma5
%defattr(-, qsys, *none)

%{_libdir}/liblzma.so.5


%files devel
%defattr(-, qsys, *none)

%{_includedir}/lzma/base.h
%{_includedir}/lzma/bcj.h
%{_includedir}/lzma/block.h
%{_includedir}/lzma/check.h
%{_includedir}/lzma/container.h
%{_includedir}/lzma/delta.h
%{_includedir}/lzma/filter.h
%{_includedir}/lzma/hardware.h
%{_includedir}/lzma/index.h
%{_includedir}/lzma/index_hash.h
%{_includedir}/lzma/lzma12.h
%{_includedir}/lzma/stream_flags.h
%{_includedir}/lzma/version.h
%{_includedir}/lzma/vli.h
%{_includedir}/lzma.h

%{_libdir}/liblzma.so
%{_libdir}/pkgconfig/liblzma.pc

%changelog
* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 5.2.3
- Disable posix_fadvise, fixing IBM i 7.2 build

* Fri Mar 15 2019 - Kevin Adler <kadler@us.ibm.com>
- Require libutil 0.6 (libutil.so.2)

* Wed Jan 09 2019 - Kevin Adler <kadler@us.ibm.com>
- Require fixed libutil

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Major spec cleanup

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix description
- Use getopt_long from libutil

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded Provides/Requires lines

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use automatic dependency resolution

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix licenses in spec files

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Convert to svr4-style shared libraries
